--[[
Description: A very simple plugin to add a spacer in Titan Panel
Site: http://www.curse.com/addons/wow/titan-panel-spacer
Author: Canettieri
--]]

local ACE = LibStub("AceLocale-3.0"):GetLocale("Titan", true)
local version = GetAddOnMetadata("TitanSpacer", "Version")
local ID = "TITAN_ESPACO"
local f = CreateFrame("Button", "TitanPanelTITAN_ESPACOButton", CreateFrame("Frame", nil, UIParent), "TitanPanelComboTemplate")
f:SetFrameStrata("FULLSCREEN")
f:SetScript("OnEvent", function(this, event, ...) this[event](this, ...) end)
f:RegisterEvent("ADDON_LOADED")
function f:ADDON_LOADED(a1)
	if a1 ~= "TitanSpacer" then
		return
	end
	self:UnregisterEvent("ADDON_LOADED")
	self.ADDON_LOADED = nil
	self.registry = {
		id = ID,
		version = version,
		menuText = "Titan|cFFfcb314 ".."Spacer |cFFf3f45f#1".."|r",
		buttonTextFunction = "TitanPanelTITAN_ESPACOButton_GetButtonText",
		category = "Interface",
		savedVariables = {
			DisplayOnRightSide = false,
		},
	}
end
----------------------------------------------
function TitanPanelTITAN_ESPACOButton_GetButtonText()
	----------------------------------------------
	local SpacerText = "   --   "
	if not TitanGetVar(ID, "DisplayOnRightSide") then
		SpacerText = "--"
	end
	return SpacerText
end
----------------------------------------------------
function TitanPanelRightClickMenu_PrepareTITAN_ESPACOMenu()
	----------------------------------------------------
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[ID].menuText)

	local info = UIDropDownMenu_CreateInfo();
	info.text = ACE["TITAN_CLOCK_MENU_DISPLAY_ON_RIGHT_SIDE"];
	info.func = TitanPanelTITAN_ESPACOButton_ToggleRightSideDisplay;
	info.checked = TitanGetVar(ID, "DisplayOnRightSide");
	UIDropDownMenu_AddButton(info);

	TitanPanelRightClickMenu_AddCommand(ACE["TITAN_PANEL_MENU_HIDE"], ID, TITAN_PANEL_MENU_FUNC_HIDE)
end
-----------------------------------------------
function TitanPanelTITAN_ESPACOButton_ToggleRightSideDisplay() -- Right side display
	-----------------------------------------------
	TitanToggleVar(ID, "DisplayOnRightSide");
	TitanPanel_InitPanelButtons();
	TitanPanelButton_UpdateButton(ID)
end
